> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Allocations

> Retrieves the list of allocations for the user claim wallet



## OpenAPI

````yaml /apis/portal/openapi.json get /api/v2/{portalId}/claim/allocations
openapi: 3.0.2
info:
  title: Magna Portal API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Auth
    description: Authentication related endpoints
  - name: Token
    description: Token claiming
  - name: Config
    description: Portal configuration
  - name: Misc
    description: Miscellaneous operational endpoints
  - name: Staking
    description: Staking pool operations
  - name: Compliance
    description: Wallet compliance operations
paths:
  /api/v2/{portalId}/claim/allocations:
    get:
      tags:
        - Claim
      summary: Claim Allocations
      description: Retrieves the list of allocations for the user claim wallet
      parameters:
        - name: portalId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: unique portal id (provided by Magna)
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  allocations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: unique allocation id
                        claimed:
                          type: string
                          description: >-
                            number of tokens claimed (received by the
                            stakeholder)
                        vested:
                          type: string
                          description: >-
                            number of tokens vested (available to the
                            stakeholder)
                        total:
                          type: string
                          description: total number of tokens allocated to the stakeholder
                        category:
                          type: string
                          description: category of the allocation
                        timestamps:
                          type: array
                          items:
                            type: object
                            properties:
                              timestamp:
                                type: number
                                description: timestamp of the unlock
                              amount:
                                type: string
                                description: amount of tokens unlocked at the timestamp
                            required:
                              - timestamp
                              - amount
                          description: unlock timestamps for the allocation
                        createdAt:
                          type: string
                          description: allocation creation timestamp
                        description:
                          type: string
                          nullable: true
                          description: description of the allocation
                      required:
                        - id
                        - claimed
                        - vested
                        - total
                        - category
                        - timestamps
                        - createdAt
                        - description
                  pohPassed:
                    type: boolean
                    nullable: true
                    description: whether the proof of humanity check was passed
                required:
                  - allocations
                  - pohPassed
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                          required:
                            - path
                            - message
                    required:
                      - errors
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - type: string
                            enum:
                              - DISTRIBUTION_NOT_FOUND
                              - HUMANITY_CHECK_INCOMPLETE
                              - DISTRIBUTION_NOT_STARTED
                              - STAKING_POOL_NOT_FOUND
                              - STAKE_NOT_FOUND
                          - type: string
                    required:
                      - error
                description: Client Error
                example:
                  errors:
                    - path: query.wallet
                      message: Required
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: error message
                required:
                  - error
                description: Server Error
                example:
                  error: internal server error

````